# ![](/img/icon64.png) Share freedom - Firefox addon

Share the current tab on the fediverse.

[Get the extension](https://addons.mozilla.org/en-US/firefox/addon/share-freedom/) (require Firefox 57+)

## Features

Simplest add-on for the fediverse. Share web pages right from the toolbar button.

Supported services/protocols:
- Gnusocial
- Mastodon / Misskey
- Hubzilla
- Diaspora
- Friendica
- Socialhome
- Lemmy
- Pleroma
- Osada / Zap / Zot6
- XMPP
- Nextcloud

## Screenshot

![](/img/captura.png)

## Notes

- This add-on is a fork of [URL-sharer](https://github.com/shivarajnaidu/URL-sharer) (for centralized/privative social
networks) by shivarajnaidu.

## Build

Run on project root directory

```bash
npm install
gulp
```

## Hint to settings

In order to work properly, this addon requires that you specify the nodes (=servers) on which you are registered. This is due to the federation of the networks. You can do it on the settings page of the addon, found at **about:addons** in your firefox browser.

## Contributing

You can contribute in the following ways:

- Finding and reporting bugs
- Contributing code to the project by fixing bugs or implementing features

### Bug reports

Bug reports and feature suggestions can be submitted to [Gitlab Issues](https://gitlab.com/mickie1/share-freedom-addon/issues). Please make sure that you are not submitting duplicates, and that a similar report or request has not already been resolved or rejected in the past using the search function. Please also use descriptive, concise titles.

### Pull requests

Please use clean, concise titles for your pull requests.

## Invite an ice cream

You can collaborate with some __criptocurrencies__ for the project :)

__faircoins:__ fVXruVLErxawnKAchcfbMQXya8YYYPvaZN

__Bitcoins:__ 15Y9cBeGhGmVGZxFQvQCsQhcCvxgzvKmcR

![](/img/helado.png)
[CC-BY 4.0 by Vincent Le Moign](https://commons.wikimedia.org/wiki/File:552-soft-ice-cream-2.svg)

## License

This Program is Licensed under GPL v3

Copyleft (ɔ) 2019 - Miguel (mickie)

See LICENSE file for more information.
